Bug 1404553

Summary: [GSS](6.4.z) WFCORE-1138 - Operation ("clean-obsolete-content") failed with NullPointerException
Product: [JBoss] JBoss Enterprise Application Platform 6 Reporter: Masafumi Miura <mmiura>
Component: Domain ManagementAssignee: Radovan Netuka <rnetuka>
Status: CLOSED CURRENTRELEASE QA Contact: Martin Simka <msimka>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 6.4.10CC: bmaxwell, brian.stansberry, dandread, jbilek, msochure, pjurak, rnetuka
Target Milestone: CR1   
Target Release: EAP 6.4.14   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-03-23 08:22:26 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1401452    

Description Masafumi Miura 2016-12-14 06:06:04 UTC
The following NullPointerException happens randomly. A same issue was reported in WFCORE-1138 and already fixed in the community branch and EAP 7 branch, so please backport the fix to EAP 6 branch.


ERROR [org.jboss.as.controller.management-operation] (ServerService Thread Pool -- 57) JBAS014612: Operation ("clean-obsolete-content") failed - address: ([]): java.lang.NullPointerException
    at org.jboss.as.repository.ContentRepository$Factory$ContentRepositoryImpl.listLocalContents(ContentRepository.java:442) [jboss-as-deployment-repository-7.5.10.Final-redhat-2.jar:7.5.10.Final-redhat-2]
    at org.jboss.as.repository.ContentRepository$Factory$ContentRepositoryImpl.cleanObsoleteContent(ContentRepository.java:404) [jboss-as-deployment-repository-7.5.10.Final-redhat-2.jar:7.5.10.Final-redhat-2]
    at org.jboss.as.server.operations.CleanObsoleteContentHandler.execute(CleanObsoleteContentHandler.java:75) [jboss-as-server-7.5.10.Final-redhat-2.jar:7.5.10.Final-redhat-2]
    at org.jboss.as.controller.AbstractOperationContext.executeStep(AbstractOperationContext.java:708) [jboss-as-controller-7.5.10.Final-redhat-2.jar:7.5.10.Final-redhat-2]
    at org.jboss.as.controller.AbstractOperationContext.doCompleteStep(AbstractOperationContext.java:543) [jboss-as-controller-7.5.10.Final-redhat-2.jar:7.5.10.Final-redhat-2]
    at org.jboss.as.controller.AbstractOperationContext.completeStepInternal(AbstractOperationContext.java:338) [jboss-as-controller-7.5.10.Final-redhat-2.jar:7.5.10.Final-redhat-2]
    at org.jboss.as.controller.AbstractOperationContext.executeOperation(AbstractOperationContext.java:314) [jboss-as-controller-7.5.10.Final-redhat-2.jar:7.5.10.Final-redhat-2]
    at org.jboss.as.controller.OperationContextImpl.executeOperation(OperationContextImpl.java:1144) [jboss-as-controller-7.5.10.Final-redhat-2.jar:7.5.10.Final-redhat-2]
    at org.jboss.as.controller.ModelControllerImpl.internalExecute(ModelControllerImpl.java:331) [jboss-as-controller-7.5.10.Final-redhat-2.jar:7.5.10.Final-redhat-2]
    at org.jboss.as.controller.ModelControllerImpl.execute(ModelControllerImpl.java:188) [jboss-as-controller-7.5.10.Final-redhat-2.jar:7.5.10.Final-redhat-2]
    at org.jboss.as.controller.ModelControllerImpl$3.execute(ModelControllerImpl.java:563) [jboss-as-controller-7.5.10.Final-redhat-2.jar:7.5.10.Final-redhat-2]
    at org.jboss.as.controller.ModelControllerImpl$3.execute(ModelControllerImpl.java:553) [jboss-as-controller-7.5.10.Final-redhat-2.jar:7.5.10.Final-redhat-2]
    at org.jboss.as.server.deployment.ContentRepositoryCleaner.cleanObsoleteContent(ContentRepositoryCleaner.java:132) [jboss-as-server-7.5.10.Final-redhat-2.jar:7.5.10.Final-redhat-2]
    at org.jboss.as.server.deployment.ContentRepositoryCleaner$ContentRepositoryCleanerTask.run(ContentRepositoryCleaner.java:67) [jboss-as-server-7.5.10.Final-redhat-2.jar:7.5.10.Final-redhat-2]
    at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) [rt.jar:1.8.0_101]
    at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:308) [rt.jar:1.8.0_101]
    at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(ScheduledThreadPoolExecutor.java:180) [rt.jar:1.8.0_101]
    at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:294) [rt.jar:1.8.0_101]
    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142) [rt.jar:1.8.0_101]
    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617) [rt.jar:1.8.0_101]
    at java.lang.Thread.run(Thread.java:745) [rt.jar:1.8.0_101]
    at org.jboss.threads.JBossThread.run(JBossThread.java:122) [jboss-threads-2.1.2.Final-redhat-1.jar:2.1.2.Final-redhat-1]

Comment 3 Jiří Bílek 2017-02-22 15:15:31 UTC
Verified with EAP 6.4.14.CP.CR1

Comment 4 Petr Penicka 2017-03-23 08:22:26 UTC
Released with EAP 6.4.14 on March 14 (ZIPs) and March 22 (RPMs).